- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# xapian/database.h File Reference

API for working with Xapian databases. More...

## Namespaces
namespace | Xapian
## Classes
class | Xapian::Database
| This class is used to access a database, or a group of databases. More...
class | Xapian::WritableDatabase
| This class provides read/write access to a database. More...
## Variables
const int | Xapian::DB_CREATE_OR_OPEN = 1
| Open for read/write; create if no db exists.
const int | Xapian::DB_CREATE = 2
| Create a new database; fail if db exists.
const int | Xapian::DB_CREATE_OR_OVERWRITE = 3
| Overwrite existing db; create if none exists.
const int | Xapian::DB_OPEN = 4
| Open for read/write; fail if no db exists.

## Detailed Description

API for working with Xapian databases.